Bug 1485866 - [RFE] Provide <task duration="..."> and <recipe arch="..."> when reporting job results
Summary: [RFE] Provide <task duration="..."> and <recipe arch="..."> when reporting jo...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Restraint
Classification: Retired
Component: general
Version: 0.1.31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: beaker-dev-list
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-28 10:12 UTC by Miloš Prchlík
Modified: 2020-11-19 21:05 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-19 21:05:38 UTC


Attachments (Terms of Use)

Description Miloš Prchlík 2017-08-28 10:12:43 UTC
Description of problem:

When job finishes, restraint leaves job.xml with results of tasks. We'd like to get our hands on task duration and recipe architecture, which are - when it comes on XMLs provided by Beaker - available as attributes of <task /> and <recipe /> elements, respectively:

  <recipe id="4209029" job_id="2023720" recipe_set_id="3397650" whiteboard="" role="RECIPE_MEMBERS" kickstart_url="http://beaker.engineering.redhat.com/kickstart/3407018" ks_meta="" kernel_options="" kernel_options_post="" start_time="2017-08-28 08:42:46" result="Pass" status="Running" distro="Fedora-26" arch="x86_64" family="Fedora26" variant="Workstation" system="sheep-67.lab.eng.brq.redhat.com">
  ...
    <task name="/distribution/install" role="STANDALONE" version="1.12-2" id="60511393" result="Pass" status="Completed" avg_time="1200" start_time="2017-08-28 09:03:45" finish_time="2017-08-28 09:05:04" duration="0:01:19">

Restraint is a bit terser:

  <recipe id="1" status="Completed" result="PASS" whiteboard="Server">
  ...
    <task name="/distribution/system/setup" keepchanges="" role="None" id="1" status="Completed" result="PASS">


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Daniel Rodríguez 2020-07-02 11:32:05 UTC
Restraint is already including task duration in the results in job.xml,

 <task name="/tasks/pointless" keepchanges="" role="STANDALONE" id="1" status="Completed" result="PASS" start_time="2020-07-02T11:18:44+0000" end_time="2020-07-02T11:18:49+0000" duration="05">

Arch is still missing,

 <recipe id="1" status="Completed" result="PASS" checkpoint_file="checkpoint_135699.conf">


Note You need to log in before you can comment on or make changes to this bug.